<ion-content padding>
  <div class="title">
    <h1>A MA</h1>
    <p>Aqui Me Atienden</p>
  </div>
  <ion-card>
    <div class="formulario" padding>
      <ion-segment mode="md" (ionChange)="cambioSegmento($event)" [ngModel]="seccion">
        <ion-segment-button mode="md" value="login">
          <ion-label>Ingresa</ion-label>
        </ion-segment-button>
        <ion-segment-button mode="md" value="registro">
          <ion-label>Registrate</ion-label>
        </ion-segment-button>
      </ion-segment>
      <div [ngSwitch]="seccion">
        <div *ngSwitchCase="'login'">
          <form [formGroup]="loginForm" (ngSubmit)="login()">
            <ion-list>
              <ion-row>
                <ion-item lines="full">
                  <ion-label position="floating" color="medium">E-mail</ion-label>
                  <ion-input formControlName="email" autofocus="true" autocomplete="on" clearInput="true"></ion-input>
                </ion-item>
              </ion-row>
              <ng-container *ngFor="let validation of loginValidationMessages.email">
                <div class="error-message"
                  *ngIf="loginForm.get('email').hasError(validation.type) && (loginForm.get('email').dirty || loginForm.get('email').touched)">
                  {{ validation.message }}
                </div>
              </ng-container>
              <ion-row>
                <ion-item lines="full">
                  <ion-label position="floating" color="medium">Contraseña</ion-label>
                  <ion-input formControlName="password" type="password"></ion-input>
                </ion-item>
              </ion-row>
              <ng-container *ngFor="let validation of loginValidationMessages.password">
                <div class="error-message"
                  *ngIf="loginForm.get('password').hasError(validation.type) && (loginForm.get('password').dirty || loginForm.get('password').touched)">
                  {{ validation.message }}
                </div>
              </ng-container>
              <ng-container>
                <div class="error-message" *ngIf="errorLogin">
                  {{ errorLogin }}
                </div>
              </ng-container>
            </ion-list>
            <div class="ion-text-center" padding>
              <a href="#">¿olvidaste tu contraseña?</a>
            </div>
            <button hidden></button>
          </form>
        </div>
        <div *ngSwitchCase="'registro'">
          <form [formGroup]="registerForm" (ngSubmit)="registrarPorEmail()">
            <ion-list>
              <ion-row>
                <ion-item lines="full">
                  <ion-label position="floating" color="medium">Nombres</ion-label>
                  <ion-input autofocus="true" clearInput="true" formControlName="nombres"></ion-input>
                </ion-item>
              </ion-row>
              <ng-container *ngFor="let validation of registerValidationMessages.nombres">
                <div class="error-message"
                  *ngIf="registerForm.get('nombres').hasError(validation.type) && (registerForm.get('nombres').dirty || registerForm.get('nombres').touched)">
                  {{ validation.message }}
                </div>
              </ng-container>
              <ion-row>
                <ion-item lines="full">
                  <ion-label position="floating" color="medium">Apellidos</ion-label>
                  <ion-input autofocus="true" autocomplete="on" clearInput="true" formControlName="apellidos">
                  </ion-input>
                </ion-item>
              </ion-row>
              <ng-container *ngFor="let validation of registerValidationMessages.apellidos">
                <div class="error-message"
                  *ngIf="registerForm.get('apellidos').hasError(validation.type) && (registerForm.get('apellidos').dirty || registerForm.get('apellidos').touched)">
                  {{ validation.message }}
                </div>
              </ng-container>
              <ion-row>
                <ion-item lines="full">
                  <ion-label position="floating" color="medium">Email</ion-label>
                  <ion-input autofocus="true" autocomplete="on" clearInput="true" formControlName="email"></ion-input>
                </ion-item>
              </ion-row>
              <ng-container *ngFor="let validation of registerValidationMessages.email">
                <div class="error-message"
                  *ngIf="registerForm.get('email').hasError(validation.type) && (registerForm.get('email').dirty || registerForm.get('email').touched)">
                  {{ validation.message }}
                </div>
              </ng-container>
              <ion-row>
                <ion-item lines="full">
                  <ion-label position="floating" color="medium">Contraseña</ion-label>
                  <ion-input type="password" formControlName="password"></ion-input>
                </ion-item>
              </ion-row>
              <ng-container *ngFor="let validation of registerValidationMessages.password">
                <div class="error-message"
                  *ngIf="registerForm.get('password').hasError(validation.type) && (registerForm.get('password').dirty || registerForm.get('password').touched)">
                  {{ validation.message }}
                </div>
              </ng-container>
              <ion-row>
                <ion-item lines="full">
                  <ion-label position="floating" color="medium">Confirma contraseña</ion-label>
                  <ion-input type="password" formControlName="confirmPassword"></ion-input>
                </ion-item>
              </ion-row>
              <ng-container *ngFor="let validation of registerValidationMessages.confirmPassword">
                <div class="error-message"
                  *ngIf="registerForm.get('confirmPassword').hasError(validation.type) && (registerForm.get('confirmPassword').dirty || registerForm.get('confirmPassword').touched)">
                  {{ validation.message }}
                </div>
              </ng-container>
            </ion-list>
            <button hidden></button>
          </form>
          <div class="ion-text-center" padding>
            Al registrate estarás de acuerdo con <a href="#">nuestros terminos y condiciones de uso</a>
          </div>
        </div>
      </div>
      <div class="separador-submit">
        <div class="contenedor-enviar">
          <ion-fab-button mode="ios" class="submit" (click)="logearORegistrar()"
            [disabled]=" (seccion == 'login' && !loginForm.valid) || (seccion == 'registro' && !registerForm.valid) ">
            <ion-icon name="arrow-round-forward" mode="md"></ion-icon>
          </ion-fab-button>
        </div>
      </div>
    </div>
  </ion-card>
  <div class="social">
    <ion-fab-button mode="ios" (click)="loginGoogle()">
      <ion-icon color="google" name="logo-google"></ion-icon>
    </ion-fab-button>
    <ion-fab-button mode="ios">
      <ion-icon color="facebook" name="logo-facebook"></ion-icon>
    </ion-fab-button>
  </div>
</ion-content>